import { appAside as asideCss } from '../../css/app/aside/css';
import { AppAsideTitle } from './title';

export interface IAppAsideProperties {
  color?: string;
  title?: string;
  titleColor?: string;
}

export class AppAside extends React.Component<IAppAsideProperties, any> {
  public static Title = AppAsideTitle;

  public render() {
    let _css = [asideCss.aside];
    _css.push(asideCss[this.props.color] || '');
    return (
      <aside className={_css.join(' ')}>
        <AppAsideTitle color={this.props.titleColor}>{this.props.title}</AppAsideTitle>
        {this.props.children}
      </aside>
    )
  }
}
