import { colours } from '../../css/colours/css';
import { appContent as content } from '../../css/app/content/css';
import { appToolbar as toolbar } from '../../css/app/toolbar/css';

export interface IAppContentProperties {
  color?: string;
  title?: string;
  toolbar?: any;
  toolbarColor?: string;
}

export class AppContent extends React.Component<IAppContentProperties, any> {
  public render() {
    let _css = [content.content];
    let _cssToolbar = [toolbar.toolbar];
    _css.push(content[this.props.color || colours.white]);
    _cssToolbar.push(toolbar[this.props.toolbarColor || colours.black]);
    return (
      <main className={_css.join(' ')}>
        <div className={_cssToolbar.join(' ')} hidden={!this.props.title && this.props.toolbar}> {this.props.title} {this.props.toolbar} </div>
        {this.props.children}
      </main>
    )
  }
}
