import {
  baloon,
  colours
} from '../../css/css';

import { CssClassList } from '../../utilities/css';

export interface IBaloonProps {
  /**
   * additional css classes
   */
  className?: string;
  /**
   * baloon header/arrow colour
   */
  color?: string;
  /**
   * baloon direction
   * 		bottom: the baloon will appear from bottom
   * 		top: the baloon will appear from top
   */
  direction?: string;
  /**
   * baloon title
   */
  title?: string;
  /**
   * flags if the baloon is visible or not
   */
  visible?: boolean;
}

interface IBaloonState {}

export class Baloon extends React.Component<IBaloonProps, IBaloonState> {
  public render() {
    let _css = new CssClassList(baloon.baloon);
    _css.add(this.props.className || '');
    _css.add(baloon[this.props.color || colours.blue]);
    _css.add(baloon[this.props.direction || 'bottom']);
    if (this.props.visible) _css.add(baloon.visible);
    return (
      <div className={_css.toString()}>
        {
          this.props.direction === 'bottom' || !this.props.direction ? <div className={baloon.baloon__triangle}></div> : null
        }
        <div className={baloon.baloon__header} hidden={!this.props.title}>{this.props.title}</div>
        <div className={baloon.baloon__content}>{this.props.children}</div>
        {
          this.props.direction === 'top' ? <div className={baloon.baloon__triangle}></div> : null
        }
      </div>
    )
  }
}
