import { colours } from '../../css/colours/css';
import { CssClassList } from '../../utilities/css';
import { dialog } from '../../css/dialog/css';
import { FontIcon } from '../icons/font-icon';
import { ToolbarItem } from '../app/toolbar';

export interface IDialogProps {
  closeIcon?: string;
  colour?: string;
  fullSize?: boolean;
  footer?: any;
  modal?: boolean;
  position: string;
  title: string;
  visible?: boolean;
}

export class Dialog extends React.Component<IDialogProps, {}> {
  public render() {
    let _css = new CssClassList(dialog.dialog);
    let _cssModal = new CssClassList(dialog.overlay.overlay);
    _css.add(dialog[this.props.colour || colours.blue]);
    if (this.props.fullSize) _css.add(dialog.fullSize);
    if (this.props.position && this.props.position.length) _css.add(dialog[this.props.position]);
    if (this.props.visible) _css.add(dialog.visible);
    if (this.props.visible) _cssModal.add(dialog.overlay.visible);
    return (
      <div>
        <section className={_css.toString()}>
          <header className={dialog.dialog__header}>{this.props.title} <FontIcon icon={this.props.closeIcon}/></header>
          <div className={dialog.dialog__content}>{this.props.children}</div>
          {
            this.props.footer ? <footer className={dialog.dialog__footer}>{this.props.footer}</footer> : null
          }
        </section>
        { this.props.modal ? <div className={_cssModal.toString()}></div> : null }
      </div>
    )
  }
}
