import { CssClassList } from '../../utilities/css';
import { colours } from '../../css/colours/css';
import { checkbox } from '../../css/form/checkbox/css';
import { radio } from '../../css/form/radio/css';

export interface ICheckboxProperties {
  checked?: boolean;
  color?: string;
  onChange: any;
  name?: string;
  type?: string;
  valueFalse?: any;
  valueTrue?: any;
}

export class Checkbox extends React.Component<ICheckboxProperties, {}> {
  public onchange(event) {
    this.props.onChange(event);
  }

  public render() {
    let _css = new CssClassList(checkbox.checkbox);
    let _inputType = this.props.type === 'checkbox' || this.props.type === 'radio' ? this.props.type : 'checkbox';
    _css.add(checkbox[this.props.color || colours.blue]);
    return (
      <label className={_css.toString()}>
        <input checked={this.props.checked} name={this.props.name} onChange={this.onchange.bind(this)} type={_inputType}/>
        <span>{this.props.children}</span>
      </label>
    )
  }
}

export class Radio extends Checkbox {
  public render() {
    let _css = new CssClassList(radio.radio);
    _css.add(radio[this.props.color || colours.blue]);
    return (
      <label className={_css.toString()}>
        <input checked={this.props.checked} name={this.props.name} onChange={this.onchange.bind(this)} type="radio" value={this.props.checked}/>
        <span>{this.props.children}</span>
      </label>
    )
  }
}
