import { CssClassList } from '../../utilities/css';
import { colours } from '../../css/colours/css';
import { toggle } from '../../css/form/toggle/css';

export interface IToggleProps {
  checked?: boolean;
  color?: string;
  onChange?: any;
}

export class Toggle extends React.Component<IToggleProps, {}> {
  public render() {
    let _css = new CssClassList(toggle.toggle);
    _css.add(toggle[this.props.color || colours.blue]);
    return (
      <label className={_css.toString()}>
        <input type="checkbox" checked={this.props.checked} onChange={this.props.onChange}/>
        <span className={toggle.toggle__toggle}></span>
        <span className={toggle.text}>{this.props.children}</span>
      </label>
    )
  }
}
