export interface IListItemProperties {
  current?: boolean;
  className?: string;
  hidden?: boolean;
}

class ListItem extends React.Component<IListItemProperties, any> {
  public render() {
    let css = this.props.current ? 'list__item list__item--current' : 'list__item';
    let hidden = this.props.hidden;
    css = this.props.className ? `${css} ${this.props.className}` : css;
    return (
      <li className={css} hidden={hidden}>{this.props.children}</li>
    )
  }
}

export interface IListProperties {
  center?: boolean;
  className?: string;
  hidden?: boolean;
  indented?: boolean;
  unpadded?: boolean;
  vertical?: boolean;
}

export class List extends React.Component<IListProperties, {}> {
  public static Item = ListItem;

  public render() {
    let css = this.props.vertical ? `list list--vertical` : 'list';
    css = this.props.center && !this.props.vertical ? `${css} text--center-xs` : css;
    css = this.props.indented ? `${css} list--indented` : css;
    css = this.props.unpadded ? `${css} list--unpadded` : css;
    css = this.props.className ? `${css} ${this.props.className}` : css;

    return (
      <ul className={css} hidden={this.props.hidden}>{this.props.children}</ul>
    )
  }
}
