import { CssClassList } from '../../utilities/css';
import { colours } from '../../css/colours/css';
import { notification } from '../../css/notifications/notifications/css';

export interface INotificationProperties extends INotificationState {
  color?: string;
  hollow?: boolean;
  rounded?: boolean;
}

export interface INotificationState {
  hidden?: boolean;
}

export class Notification extends React.Component<INotificationProperties, INotificationState> {
  public render() {
    let _css = new CssClassList(notification.notification);
    _css.add(notification[this.props.color || colours.blue]);
    if (this.props.hollow) _css.add(notification.hollow);
    if (this.props.rounded) _css.add(notification.rounded);
    return (
      <div className={_css.toString()}>{this.props.children}</div>
    )
  }
}
