import { colours } from '../../css/colours/css';
import { CssClassList } from '../../utilities/css';
import { popup } from '../../css/notifications/popup/css';

export interface IPopupProps {
  color?: string;
  hidden?: boolean;
  modal?: boolean;
  rounded?: boolean;
  text?: string;
}

export class Popup extends React.Component<IPopupProps, {}> {
  public render() {
    let _css = new CssClassList(popup.popup);
    _css.add(popup[this.props.color || colours.blue]);
    if (this.props.hidden) _css.add(popup.hidden);
    if (this.props.rounded) _css.add(popup.rounded);
    return (
      <div>
        <div className={_css.toString()}>
          <div className={popup.popup__text}>{this.props.text}</div> {this.props.children}
        </div>
        {
          this.props.modal ? <div className={popup.modal}></div> : null
        }
      </div>
    )
  }
}
