export class CssClassList {
  public list: Array<string> = [];

  constructor(... args: Array<string>) {
    this.list = args;
  }

  public add(className: string): CssClassList {
    this.remove(className);
    this.list.push(className);
    return this;
  }

  public has(className: string): boolean {
    return this.list.filter(item => item === className).length > 0;
  }

  public remove(className: string): CssClassList {
    this.list = this.list.filter(item => item !== className);
    return this;
  }

  public toggle(className: string): CssClassList {
    this.has(className) ? this.remove(className) : this.add(className);
    return this;
  }

  public toString(): string {
    return this.list.join(' ').trim();
  }
}
