'use strict';

var path = require('path');
var webpack = require('webpack');

var outputsDev = process.argv.indexOf('--minimize') !== -1;
var webpackPlugins = [];

outputsDev && webpackPlugins.push(new webpack.optimize.UglifyJsPlugin());

module.exports = {
  devtool: 'source-map',
  entry: {
    app: './.build/app.js'
  },
  module: {
    loaders: [{
      loader: 'ts-loader',
      test: /\.ts$/
    }]
  },
  output: {
    filename: `dist/[name]${outputsDev ? '.min' : '' }.js`
  },
  plugins: webpackPlugins,
  resolve: {
    extensions: ['', '.webpack.js', '.web.js', '.ts', '.js'],
    root: [
      path.join(__dirname, "..", "react", "node_modules"),
      path.join(__dirname, "..", "react-dom", "node_modules")
    ]
  }
}
